System.register(['src/components/halo/lively-halo-item.js'], function (_export, _context) {
  "use strict";

  var HaloItem;
  return {
    setters: [function (_srcComponentsHaloLivelyHaloItemJs) {
      HaloItem = _srcComponentsHaloLivelyHaloItemJs.default;
    }],
    execute: function () {
      _recorder_._src_components_halo_lively_halo_vivide_open_script_editor_item_js = _recorder_._src_components_halo_lively_halo_vivide_open_script_editor_item_js || {};
      _recorder_._src_components_halo_lively_halo_vivide_open_script_editor_item_js.HaloItem = HaloItem;
      class HaloVivideOpenScriptEditorItem extends _recorder_._src_components_halo_lively_halo_vivide_open_script_editor_item_js.HaloItem {
        // #TODO: drag ScriptEditor out of this halo item

        async onClick(evt) {
          var inspectTarget = window.that;

          debugger;
          this.hideHalo();
          let scriptEditor = await inspectTarget.createScriptEditor();
          scriptEditor.initialFocus();
        }

        updateTarget(view) {
          this._view = view;
        }
      }

      _export('default', HaloVivideOpenScriptEditorItem);

      _recorder_._src_components_halo_lively_halo_vivide_open_script_editor_item_js.HaloVivideOpenScriptEditorItem = HaloVivideOpenScriptEditorItem;
    }
  };
});